#pragma once
#include <map>
struct Fish_SeniorRankingCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//名次
	int mStartRank;
	//名次
	int mEndRank;
	//奖励
	std::vector<int> mRewardList;
	//上榜限制
	int mLimit;
};

class Fish_SeniorRankingCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorRankingCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorRankingCFGData* GetData(int ID);
	const std::map<int, Fish_SeniorRankingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SeniorRankingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SeniorRankingCFGData> mMapData;
};
